NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::Features::PoleSmoothingBuilder Class Reference

Represents a NXOpen::Features::PoleSmoothing builder
To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreatePoleSmoothingBuilder
Default values. More...

Inheritance diagram for NXOpen::Features::PoleSmoothingBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

bool ApplyConstraintsToAll ()
 Returns the indicator to apply the same constraint to all
Created in NX6.0.0. More...
 
bool GetCreateNewCopy ()
 Returns the indicator for creating a new copy. More...
 
void GetSelectedPolesIndex (std::vector< int > &selectedPolesIndex)
 Returns the index of selected poles
Created in NX6.0.0. More...
 
int ModificationPercentage ()
 Returns the modification percentage
Created in NX6.0.0. More...
 
NXOpen::DirectionMovementVector ()
 Returns the movement direction vector, this is used only when UseSpecificDirection and SetUseSpecificDirection is true. More...
 
bool MoveOnlySelectedPoles ()
 Returns the indicator to move only selected poles
Created in NX6.0.0. More...
 
int NumberPolesSelected ()
 Returns the number of poles selected
Created in NX6.0.0. More...
 
NXOpen::GeometricUtilities::ControlPoleManagerDataPoles ()
 Returns the selected poles, this is used only when MoveOnlySelectedPoles and SetMoveOnlySelectedPoles is true
Created in NX6.0.0. More...
 
void RemoveFeatureParameters (NXOpen::Face *face)
 Removes parameters of a owning feature of a face to be smoothed
Created in NX8.0.0. More...
 
void SetApplyConstraintsToAll (bool applyConstraintsToAll)
 Sets the indicator to apply the same constraint to all
Created in NX6.0.0. More...
 
void SetCreateNewCopy (bool createNewCopy)
 Sets the indicator for creating a new copy
Created in NX6.0.0. More...
 
void SetModificationPercentage (int modificationPercentage)
 Sets the modification percentage
Created in NX6.0.0. More...
 
void SetMovementVector (NXOpen::Direction *movementVector)
 Sets the movement direction vector, this is used only when UseSpecificDirection and SetUseSpecificDirection is true. More...
 
void SetMoveOnlySelectedPoles (bool moveOnlySelectedPoles)
 Sets the indicator to move only selected poles
Created in NX6.0.0. More...
 
void SetNumberPolesSelected (int numbePolesSelected)
 Sets the number of poles selected
Created in NX6.0.0. More...
 
void SetSelectedPolesIndex (const std::vector< int > &selectedPolesIndex)
 Sets the index of selected poles
Created in NX6.0.0. More...
 
void SetSmoothingFactor (int smoothingFactor)
 Sets the smoothing factor, the min and max values for this are (1 to 100)
Created in NX6.0.0. More...
 
void SetUseSpecificDirection (bool useSpecificDirection)
 Sets the specific moving direction
Created in NX6.0.0. More...
 
int SmoothingFactor ()
 Returns the smoothing factor, the min and max values for this are (1 to 100)
Created in NX6.0.0. More...
 
NXOpen::SelectFaceTargetFace ()
 Returns the target face
Created in NX6.0.0. More...
 
NXOpen::GeometricUtilities::ContinuityUMaxConstraint ()
 Returns the u maximum continuity constraint
Created in NX6.0.0. More...
 
NXOpen::GeometricUtilities::ContinuityUMinConstraint ()
 Returns the u minimum continuity constraint
Created in NX6.0.0. More...
 
bool UseSpecificDirection ()
 Returns the specific moving direction
Created in NX6.0.0. More...
 
NXOpen::GeometricUtilities::ContinuityVMaxConstraint ()
 Returns the v maximum continuity constraint
Created in NX6.0.0. More...
 
NXOpen::GeometricUtilities::ContinuityVMinConstraint ()
 Returns the v minimum continuity constraint
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Features::PoleSmoothing builder
To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreatePoleSmoothingBuilder
Default values.

Property Value

ApplyConstraintsToAll

0

ModificationPercentage

100

MoveOnlySelectedPoles

0

SmoothingFactor

1

UseSpecificDirection

0


Created in NX6.0.0.

Member Function Documentation

bool NXOpen::Features::PoleSmoothingBuilder::ApplyConstraintsToAll ( )

Returns the indicator to apply the same constraint to all
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

bool NXOpen::Features::PoleSmoothingBuilder::GetCreateNewCopy ( )

Returns the indicator for creating a new copy.

Returns

Created in NX6.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")
void NXOpen::Features::PoleSmoothingBuilder::GetSelectedPolesIndex ( std::vector< int > &  selectedPolesIndex)

Returns the index of selected poles
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
selectedPolesIndexselected poles index
int NXOpen::Features::PoleSmoothingBuilder::ModificationPercentage ( )

Returns the modification percentage
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

NXOpen::Direction* NXOpen::Features::PoleSmoothingBuilder::MovementVector ( )

Returns the movement direction vector, this is used only when UseSpecificDirection and SetUseSpecificDirection is true.


Created in NX6.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

bool NXOpen::Features::PoleSmoothingBuilder::MoveOnlySelectedPoles ( )

Returns the indicator to move only selected poles
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

int NXOpen::Features::PoleSmoothingBuilder::NumberPolesSelected ( )

Returns the number of poles selected
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

NXOpen::GeometricUtilities::ControlPoleManagerData* NXOpen::Features::PoleSmoothingBuilder::Poles ( )

Returns the selected poles, this is used only when MoveOnlySelectedPoles and SetMoveOnlySelectedPoles is true
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

void NXOpen::Features::PoleSmoothingBuilder::RemoveFeatureParameters ( NXOpen::Face face)

Removes parameters of a owning feature of a face to be smoothed
Created in NX8.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
faceFace to be used for feature parameter removal
void NXOpen::Features::PoleSmoothingBuilder::SetApplyConstraintsToAll ( bool  applyConstraintsToAll)

Sets the indicator to apply the same constraint to all
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
applyConstraintsToAllapplyconstraintstoall
void NXOpen::Features::PoleSmoothingBuilder::SetCreateNewCopy ( bool  createNewCopy)

Sets the indicator for creating a new copy
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
createNewCopycreatenewcopy
void NXOpen::Features::PoleSmoothingBuilder::SetModificationPercentage ( int  modificationPercentage)

Sets the modification percentage
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
modificationPercentagemodificationpercentage
void NXOpen::Features::PoleSmoothingBuilder::SetMovementVector ( NXOpen::Direction movementVector)

Sets the movement direction vector, this is used only when UseSpecificDirection and SetUseSpecificDirection is true.


Created in NX6.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
movementVectormovementvector
void NXOpen::Features::PoleSmoothingBuilder::SetMoveOnlySelectedPoles ( bool  moveOnlySelectedPoles)

Sets the indicator to move only selected poles
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
moveOnlySelectedPolesmoveonlyselectedpoles
void NXOpen::Features::PoleSmoothingBuilder::SetNumberPolesSelected ( int  numbePolesSelected)

Sets the number of poles selected
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
numbePolesSelectednumbepolesselected
void NXOpen::Features::PoleSmoothingBuilder::SetSelectedPolesIndex ( const std::vector< int > &  selectedPolesIndex)

Sets the index of selected poles
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
selectedPolesIndexselected poles index
void NXOpen::Features::PoleSmoothingBuilder::SetSmoothingFactor ( int  smoothingFactor)

Sets the smoothing factor, the min and max values for this are (1 to 100)
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
smoothingFactorsmoothingfactor
void NXOpen::Features::PoleSmoothingBuilder::SetUseSpecificDirection ( bool  useSpecificDirection)

Sets the specific moving direction
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

Parameters
useSpecificDirectionusespecificdirection
int NXOpen::Features::PoleSmoothingBuilder::SmoothingFactor ( )

Returns the smoothing factor, the min and max values for this are (1 to 100)
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

NXOpen::SelectFace* NXOpen::Features::PoleSmoothingBuilder::TargetFace ( )

Returns the target face
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

NXOpen::GeometricUtilities::Continuity* NXOpen::Features::PoleSmoothingBuilder::UMaxConstraint ( )

Returns the u maximum continuity constraint
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

NXOpen::GeometricUtilities::Continuity* NXOpen::Features::PoleSmoothingBuilder::UMinConstraint ( )

Returns the u minimum continuity constraint
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

bool NXOpen::Features::PoleSmoothingBuilder::UseSpecificDirection ( )

Returns the specific moving direction
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

NXOpen::GeometricUtilities::Continuity* NXOpen::Features::PoleSmoothingBuilder::VMaxConstraint ( )

Returns the v maximum continuity constraint
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")

NXOpen::GeometricUtilities::Continuity* NXOpen::Features::PoleSmoothingBuilder::VMinConstraint ( )

Returns the v minimum continuity constraint
Created in NX6.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR studio_free_form ("STUDIO FREE FORM")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.